OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
LDOM

# LDOM_Text Class Reference

`#include <LDOM_Text.hxx>`

Inheritance diagram for LDOM_Text:

[legend]

## Public Member Functions
| LDOM_Text ()
| LDOM_Text (const LDOM_Text &anOther)
LDOM_Text & | operator= (const LDOM_NullPtr *theNull)
LDOM_Text & | operator= (const LDOM_Text &theOther)
## Protected Member Functions
| LDOM_Text (const LDOM_BasicText &theText, const Handle(LDOM_MemManager)&theDoc)

## Constructor & Destructor Documentation

LDOM_Text::LDOM_Text | ( |  | ) | `[inline]`

LDOM_Text::LDOM_Text | ( | const LDOM_Text & | anOther | ) | `[inline]`

LDOM_Text::LDOM_Text | ( | const LDOM_BasicText & | theText,
|  | const Handle(LDOM_MemManager)& | theDoc
| ) | `[inline, protected]`

## Member Function Documentation

LDOM_Text& LDOM_Text::operator= | ( | const LDOM_Text & | theOther | ) | `[inline]`

LDOM_Text& LDOM_Text::operator= | ( | const LDOM_NullPtr * | theNull | ) | `[inline]`

| Reimplemented from LDOM_CharacterData. Reimplemented in LDOM_CDATASection.

The documentation for this class was generated from the following file:

- LDOM_Text.hxx